LCD Library: LiquidCrystal_SR_LCD3 Class Reference

| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal_SR_LCD3 Class Reference

`#include <LiquidCrystal_SR_LCD3.h>`

Inheritance diagram for LiquidCrystal_SR_LCD3:

List of all members.

## Public Member Functions

| LiquidCrystal_SR_LCD3 (uint8_t srdata, uint8_t srclock, uint8_t enable)
virtual void | send (uint8_t value, uint8_t mode)

## Detailed Description

Definition at line 16 of file LiquidCrystal_SR_LCD3.h.

## Constructor & Destructor Documentation

LiquidCrystal_SR_LCD3::LiquidCrystal_SR_LCD3 | ( | uint8_t | srdata,
|  | uint8_t | srclock,
|  | uint8_t | enable
| ) |  |

LCD SHIFT REGISTER constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD. Assuming 1 line 8 pixel high font.

Parameters:

  srdata[in] | pin for shiftregister data line.
  srclock[in] | pin for shiftregister clock line.
  enable[in] | enable pin for the shiftregister (also called strobe).

Definition at line 123 of file LiquidCrystal_SR_LCD3.cpp.

## Member Function Documentation

void LiquidCrystal_SR_LCD3::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command using the shift register.

Users should never call this method.

Parameters:

  value[in] | Value to send to the LCD.

Returns:
  mode LOW - write to the LCD CGRAM, HIGH - write a command to the LCD.

Reimplemented from LCD.

Definition at line 171 of file LiquidCrystal_SR_LCD3.cpp.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR_LCD3.h
- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR_LCD3.cpp

All Classes Files Functions Variables Typedefs Defines